#!/usr/local/bin/luac53 -p --
--[[
--@brief  Quasi Robot Language; LuaChip
--@date   Wed,03 Jan,2018
--@date   Sat,23 Jun,2018
--@date   Sun,02 Dec,2018
--@date   Tue,01 Jan,2019
--@date   Sat,16 Feb,2019
--@date   Sat,18 Apr,2020
--@date   Thu,23 Apr,2020
--@date   Tue,28 Apr,2020
--@date   Wed,21 Oct,2020
--@date   Sat,30 Oct,2021
--@date   Fri,11 Mar,2022
--@date   Tue,27 Jun,2023
--@author Copyright(C)2018-2023 G-HAL
--]]

-- ##begin##
-- name : Reload a Weapon in the Array
-- size : 2 , 1
-- footprint :
-- ##
-- address :
-- chip_coordinates_tag : ##010##
-- chip_number_tag : ##011##
-- chip_number : 
-- chip_footprint_tag : ##012##
-- next_address_condition_true_coordinates_tag : ##020##
-- next_address_condition_true_tag : ##021##
-- next_address_condition_true : 0010013
-- argument : 0
-- ##body##

function qrl_chip##011##(Mek, GB)
  PrintTraceMessage(GB, Mek, '##010##:##011##:Reload_a_Weapon_in_the_Array');
  PrintTracer(GB, Mek, '##012##');
  if enable_debugger then
    dbg();
  end;
  if (g_QRL_SystemVariable["WeaponListPtr"] <= g_QRL_SystemVariable["WeaponListMax"]) then
    g_QRL_SystemVariable["ExecQueue_Reload_Queue_Ptr"] = g_QRL_SystemVariable["ExecQueue_Reload_Queue_Ptr"] + 1;
    g_QRL_SystemVariable["ExecQueue_Reload_Queue_Weapon"][g_QRL_SystemVariable["ExecQueue_Reload_Queue_Ptr"]] = g_QRL_SystemVariable["WeaponList"][g_QRL_SystemVariable["WeaponListPtr"]];
    g_QRL_SystemVariable["ExecQueue_Reload_Queue_Ammo"][g_QRL_SystemVariable["ExecQueue_Reload_Queue_Ptr"]] = nil;
  end;
  return '##021##';
end;

-- ##end##
-- [ End of File ]
